package com.biganto.visual.roompark.presentation.screen.web_cam

import com.biganto.visual.roompark.conductor.BigantoBaseViewState
import com.biganto.visual.roompark.domain.model.WebCamModel
import com.biganto.visual.roompark.util.monades.ExceptionString

/**
 * Created by Vladislav Bogdashkin on 30.09.2019.
 */


sealed class WebCamScreenViewState : BigantoBaseViewState() {
    class Idle : WebCamScreenViewState()
    class WebCamsLIstLoaded(camList:List<WebCamModel>,selectedCamIndex:Int) : WebCamScreenViewState()
    class CamSelected(model:WebCamModel) : WebCamScreenViewState()
    class SomeError(val exception: ExceptionString) : WebCamScreenViewState()
}